Landing Pages
Get Landing Page
Get landing page details
GET
/
api
/
v1
/
landing-pages
/
{landingPageId}
Get Landing Page
curl --request GET \
--url https://api.sequenzy.com/api/v1/landing-pages/{landingPageId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"landingPage": {
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 1240,
"conversionCount": 186,
"publishedAt": "2026-05-01T10:30:00Z",
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:30:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
}
Get one landing page, including its builder content and public URLs.
Request
Landing page ID.
curl "https://api.sequenzy.com/api/v1/landing-pages/lp_abc123" \
-H "Authorization: Bearer YOUR_API_KEY"
Responses
{
"success": true,
"landingPage": {
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 1240,
"conversionCount": 186,
"publishedAt": "2026-05-01T10:30:00Z",
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:30:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
}
⌘I
Get Landing Page
curl --request GET \
--url https://api.sequenzy.com/api/v1/landing-pages/{landingPageId} \
--header 'Authorization: Bearer <token>'{
"success": true,
"landingPage": {
"id": "lp_abc123",
"companyId": "comp_abc123",
"name": "Product Waitlist",
"slug": "product-waitlist",
"status": "published",
"content": { "version": 2, "template": "waitlist", "blocks": [] },
"viewCount": 1240,
"conversionCount": 186,
"publishedAt": "2026-05-01T10:30:00Z",
"createdAt": "2026-05-01T10:00:00Z",
"updatedAt": "2026-05-01T10:30:00Z",
"url": "https://sequenzy.com/dashboard/company/comp_abc123/landing-pages/lp_abc123",
"appPublicUrl": "https://sequenzy.com/lp/comp_abc123/product-waitlist",
"publicUrl": "https://pages.example.com/product-waitlist"
}
}